gr::ieee802_15_4::zeropadding_b_impl Class Reference

`#include <zeropadding_b_impl.h>`

Inheritance diagram for gr::ieee802_15_4::zeropadding_b_impl:
[legend]

## Public Member Functions

| zeropadding_b_impl (int nzeros)
| ~zeropadding_b_impl ()
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::ieee802_15_4::zeropadding_b
typedef boost::shared_ptr< zeropadding_b > | sptr
Static Public Member Functions inherited from gr::ieee802_15_4::zeropadding_b
static sptr | make (int nzeros)
| Return a shared_ptr to a new instance of ieee802_15_4::zeropadding_b. More...

## Constructor & Destructor Documentation

## zeropadding_b_impl()

gr::ieee802_15_4::zeropadding_b_impl::zeropadding_b_impl | ( | int | nzeros | ) |

## ~zeropadding_b_impl()

gr::ieee802_15_4::zeropadding_b_impl::~zeropadding_b_impl | ( |  | ) |

## Member Function Documentation

## general_work()

int gr::ieee802_15_4::zeropadding_b_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- zeropadding_b_impl.h